GradleConnectionBuilder.ParticipantBuilder (Gradle API 2.14.1)

org.gradle.tooling.connection

## Interface GradleConnectionBuilder.ParticipantBuilder

- Enclosing interface:
    GradleConnectionBuilder

      public static interface GradleConnectionBuilder.ParticipantBuilder

  Builds a new participant that will be included in the connection.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GradleConnectionBuilder.ParticipantBuilder` | `useBuildDistribution()` Specifies the Gradle distribution described in the build should be used.
    `GradleConnectionBuilder.ParticipantBuilder` | `useDistribution(URI gradleDistribution)` Specifies the Gradle distribution to use.
    `GradleConnectionBuilder.ParticipantBuilder` | `useGradleVersion(String gradleVersion)` Specifies the version of Gradle to use.
    `GradleConnectionBuilder.ParticipantBuilder` | `useInstallation(File gradleHome)` Specifies the Gradle distribution to use.

- - ### Method Detail

    - #### useBuildDistribution

          GradleConnectionBuilder.ParticipantBuilder useBuildDistribution()

      Specifies the Gradle distribution described in the build should be used.
      Returns:
        this

    - #### useInstallation

          GradleConnectionBuilder.ParticipantBuilder useInstallation(File gradleHome)

      Specifies the Gradle distribution to use.
      Parameters:
        `gradleHome` - The Gradle installation directory.
      Returns:
        this

    - #### useGradleVersion

          GradleConnectionBuilder.ParticipantBuilder useGradleVersion(String gradleVersion)

      Specifies the version of Gradle to use.
      Parameters:
        `gradleVersion` - The version to use.
      Returns:
        this

    - #### useDistribution

          GradleConnectionBuilder.ParticipantBuilder useDistribution(URI gradleDistribution)

      Specifies the Gradle distribution to use.
      Parameters:
        `gradleDistribution` - The distribution to use.
      Returns:
        this